NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::SpineCurveBuilder Class Reference

Represents a Features::SpineCurve builder
To create a new instance of this class, use NXOpen::Features::FreeformCurveCollection::CreateSpineCurveBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::SpineCurveBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  ArcSegmentsTypes { ArcSegmentsTypesSimple, ArcSegmentsTypesSmooth }
 This enum represents the arc segments types. More...
 

Public Member Functions

NXOpen::Features::SpineCurveBuilder::ArcSegmentsTypes ArcSegmentsType ()
 Returns the option indicating type of shape
Created in NX11.0.0. More...
 
bool Associative ()
 Returns the flag indicating if an associative Spine Curve (Feature) should be created. More...
 
bool Closed ()
 Returns the flag indicating if a closed curve should be created if possible. More...
 
void Evaluate ()
 Evaluates the curve
Created in NX11.0.0. More...
 
bool ReverseStartDirection ()
 Returns the flag indicating if starting direction of the curve should be opposite to the first plane normal. More...
 
void SetArcSegmentsType (NXOpen::Features::SpineCurveBuilder::ArcSegmentsTypes curveOption)
 Sets the option indicating type of shape
Created in NX11.0.0. More...
 
void SetAssociative (bool associative)
 Sets the flag indicating if an associative Spine Curve (Feature) should be created. More...
 
void SetClosed (bool closed)
 Sets the flag indicating if a closed curve should be created if possible. More...
 
void SetReverseStartDirection (bool direction)
 Sets the flag indicating if starting direction of the curve should be opposite to the first plane normal. More...
 
void SetStartPoint (NXOpen::Point *startPoint)
 Sets the start point
Created in NX11.0.0. More...
 
NXOpen::PointStartPoint ()
 Returns the start point
Created in NX11.0.0. More...
 
NXOpen::GeometricUtilities::SpinePlaneBuilderListThroughPlanesList ()
 Returns the plane list containing the through planes. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Features::SpineCurve builder
To create a new instance of this class, use NXOpen::Features::FreeformCurveCollection::CreateSpineCurveBuilder
Default values.

Property Value

Associative

0

Closed

0


Created in NX11.0.0.

Member Enumeration Documentation

This enum represents the arc segments types.

Enumerator
ArcSegmentsTypesSimple 

simple

ArcSegmentsTypesSmooth 

smooth

Member Function Documentation

NXOpen::Features::SpineCurveBuilder::ArcSegmentsTypes NXOpen::Features::SpineCurveBuilder::ArcSegmentsType ( )

Returns the option indicating type of shape
Created in NX11.0.0.



License requirements : None

bool NXOpen::Features::SpineCurveBuilder::Associative ( )

Returns the flag indicating if an associative Spine Curve (Feature) should be created.


Created in NX11.0.0.

License requirements : None

bool NXOpen::Features::SpineCurveBuilder::Closed ( )

Returns the flag indicating if a closed curve should be created if possible.


Created in NX11.0.0.

License requirements : None

void NXOpen::Features::SpineCurveBuilder::Evaluate ( )

Evaluates the curve
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

bool NXOpen::Features::SpineCurveBuilder::ReverseStartDirection ( )

Returns the flag indicating if starting direction of the curve should be opposite to the first plane normal.


Created in NX11.0.0.

License requirements : None

void NXOpen::Features::SpineCurveBuilder::SetArcSegmentsType ( NXOpen::Features::SpineCurveBuilder::ArcSegmentsTypes  curveOption)

Sets the option indicating type of shape
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
curveOptioncurveoption
void NXOpen::Features::SpineCurveBuilder::SetAssociative ( bool  associative)

Sets the flag indicating if an associative Spine Curve (Feature) should be created.


Created in NX11.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
associativeassociative
void NXOpen::Features::SpineCurveBuilder::SetClosed ( bool  closed)

Sets the flag indicating if a closed curve should be created if possible.


Created in NX11.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
closedclosed
void NXOpen::Features::SpineCurveBuilder::SetReverseStartDirection ( bool  direction)

Sets the flag indicating if starting direction of the curve should be opposite to the first plane normal.


Created in NX11.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
directiondirection
void NXOpen::Features::SpineCurveBuilder::SetStartPoint ( NXOpen::Point startPoint)

Sets the start point
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
startPointstartpoint
NXOpen::Point* NXOpen::Features::SpineCurveBuilder::StartPoint ( )

Returns the start point
Created in NX11.0.0.



License requirements : None

NXOpen::GeometricUtilities::SpinePlaneBuilderList* NXOpen::Features::SpineCurveBuilder::ThroughPlanesList ( )

Returns the plane list containing the through planes.


Created in NX11.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.